## pyisy 3.4.0

=== requirements.txt ===
aiohttp>=3.8.1
python-dateutil>=2.8.1
requests>=2.28.1
colorlog>=6.6.0

=== docs/requirements.txt ===
sphinx_rtd_theme>=0.5.1
mock>=4.0.3

## pyisy 3.1.14

=== debian/changelog ===
pyisy (3.1.14-2) unstable; urgency=medium

  * Mention in d/copyright that Automicus is Ryan M. Kraus.

 -- Edward Betts <edward@4angle.com>  Tue, 15 Oct 2024 12:04:14 +0100

pyisy (3.1.14-1) unstable; urgency=medium

  * Initial release. (Closes: #1081248)

 -- Edward Betts <edward@4angle.com>  Mon, 09 Sep 2024 22:44:55 +0100

=== debian/control ===
Source: pyisy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/automicus/PyISY
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyisy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyisy.git

Package: python3-pyisy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Library for interacting with Universal Devices ISY controllers
 This library provides functionality to interact with various Universal Devices
 ISY controllers, including ISY994, IoX, Polisy, and eisy models. It enables
 communication with nodes, programs, variables, and the network module of ISY
 controllers. The library supports operations such as querying device statuses,
 executing commands, and monitoring changes automatically from the devices.
 Compatible with Insteon, Z-Wave, Zigbee, X10, and Matter protocols, this
 library facilitates comprehensive home automation management by integrating
 multiple device types and control functionalities into one cohesive interface.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyisy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyisy.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyisy-$1\.tar\.gz/ \
  https://github.com/automicus/PyISY/tags .*/v?(\d\S+)\.tar\.gz

## pyisy 3.4.0

=== debian/changelog ===
pyisy (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Use debian/clean instead of override_dh_auto_clean.

 -- Edward Betts <edward@4angle.com>  Tue, 01 Apr 2025 08:14:12 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/automicus/PyISY
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyisy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyisy.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:
